Bug 442296 - no X login screen
Summary: no X login screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-14 02:07 UTC by Mikel Ward
Modified: 2009-07-14 17:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:28:33 UTC


Attachments (Terms of Use)
log from failed session (33.14 KB, text/plain)
2008-04-14 02:07 UTC, Mikel Ward
no flags Details
log from successful session (47.53 KB, text/plain)
2008-04-14 02:08 UTC, Mikel Ward
no flags Details
X server configuration file (1.15 KB, text/plain)
2008-04-14 02:08 UTC, Mikel Ward
no flags Details
output of xrandr (1.37 KB, text/plain)
2008-04-14 02:09 UTC, Mikel Ward
no flags Details

Description Mikel Ward 2008-04-14 02:07:19 UTC
I installed Fedora 9 beta this morning.  After applying all updates, X fails to
start on boot.  Virtual terminals also don't work.  Booting to single user mode
then doing init 5 seems to make it work.

This is on a laptop with an internal display and an external display.

Possibly related to bug 344131.

Comment 1 Mikel Ward 2008-04-14 02:07:51 UTC
Created attachment 302292 [details]
log from failed session

Comment 2 Mikel Ward 2008-04-14 02:08:18 UTC
Created attachment 302293 [details]
log from successful session

Comment 3 Mikel Ward 2008-04-14 02:08:50 UTC
Created attachment 302294 [details]
X server configuration file

Comment 4 Mikel Ward 2008-04-14 02:09:10 UTC
Created attachment 302295 [details]
output of xrandr

Comment 5 Mikel Ward 2008-04-14 02:15:47 UTC
Disabling the rhgb splash screen makes it work.  Reassigning accordingly.

Comment 6 Mikel Ward 2008-04-14 02:17:18 UTC
With rhgb enabled, I get a splash screen on my external monitor early on then
nothing (completely black) on both displays.

With rhgb disabled, I get a getty on my internal monitor then X starts on the
external monitor.

Comment 7 Bug Zapper 2008-05-14 09:23:38 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-06-10 00:09:54 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 17:28:33 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.